<template>
  <v-app>
    <!-- <core-filter /> -->
    
    <!-- <core-toolbar v-if="access" /> -->

    <core-drawer v-if="access" />

    <core-view />

    <message-bar/>
  </v-app>
</template>

<script>
import MessageBar from '@/components/Base/MessageBar';
import { mapActions, mapState } from 'vuex';

export default {
  name: 'App',
  components: {
    MessageBar,
  },
  computed: {
    ...mapState('user', ['access'])
  },
  created() {
    this.initTokens();
  },
  methods: {
    ...mapActions('user', ['initTokens'])
  }
};
</script>

<style lang="scss">
@import "@/styles/index.scss";

/* Remove in 1.2 */
.v-datatable thead th.column.sortable i {
  vertical-align: unset;
}
</style>
